Subject: Re: mmotm 2014-04-24-13-07 uploaded

From: Andrew Morton <[email-masked]>
Date: Mon, 28 Apr 2014 16:05:01 -0700

On Mon, 28 Apr 2014 14:39:09 -0700 "Paul E. McKenney" <[email-masked]> wrote:

> On Mon, Apr 28, 2014 at 01:06:40PM -0700, Paul E. McKenney wrote:
> > On Mon, Apr 28, 2014 at 07:21:27PM +0200, Richard Weinberger wrote:
> > > Am 28.04.2014 19:17, schrieb Randy Dunlap:
> > > > 
> > > > uml defconfig on x86_64:
> > > > 
> > > >   CC      arch/um/kernel/asm-offsets.s
> > > > In file included from include/linux/sem.h:5:0,
> > > >                  from include/linux/sched.h:35,
> > > >                  from arch/x86/um/shared/sysdep/kernel-offsets.h:2,
> > > >                  from arch/um/kernel/asm-offsets.c:1:
> > > > include/linux/rcupdate.h:257:20: error: static declaration of 'rcu_sysrq_start' follows non-static declaration
> > > > include/linux/rcupdate.h:250:6: note: previous declaration of 'rcu_sysrq_start' was here
> > > > include/linux/rcupdate.h:260:20: error: static declaration of 'rcu_sysrq_end' follows non-static declaration
> > > > include/linux/rcupdate.h:251:6: note: previous declaration of 'rcu_sysrq_end' was here
> > > > make[2]: *** [arch/um/kernel/asm-offsets.s] Error 1
> > > > 
> > > > 
> > > > Please test your patch(es).
> > 
> > Against exactly what?  ;-)
> > 
> > > Just in case, to build an x86_64 UML please run:
> > > 
> > > make defconfig ARCH=um SUBARCH=x86_64
> > > make linux ARCH=um SUBARCH=x86_64
> > 
> > Hmmm....  Builds without errors in my local tree.
> > 
> > Make a clone of linux-next...
> > 
> > OK, now I get a different build failure:
> > 

OK, my tiny brain just burst.  Rik, I think I shall ease

sysrq-rcu-ify-__handle_sysrq.patch
sysrq-rcu-ify-__handle_sysrq-fix.patch
and
sysrqrcu-suppress-rcu-stall-warnings-while-sysrq-runs.patch

into the bitbucket for now.  Please resend everything when it's all
sorted out?